const cryptojs = require("crypto-js");

function DecryptWithStellarSeed(encryptedText, seed) {
  var key = cryptojs.enc.Utf8.parse(seed);
  var options = {
    mode: cryptojs.mode.CBC,
    padding: cryptojs.pad.Pkcs7,
    iv: cryptojs.enc.Utf8.parse(seed),
  };
  var decrypted = cryptojs.AES.decrypt(encryptedText, key, options).toString(
    cryptojs.enc.Utf8
  );

  return decrypted;
}

module.exports = DecryptWithStellarSeed;
